<?php
/***********************************************************************************
 * K2DynaMap ---- K2 Dynamic Map Module to plot points specified by the K2 Maps plugin
 *
 * @version		V1.0.0
 * @author		Nick Texidor <nick@texidor.com>
 * @link		http://www.nicktexidor.com
 * @copyright 	Copyright (C) 2008-2010 Nick Texidor. All rights reserved.
 * @license 	http://www.gnu.org/copyleft/gpl.html GNU/GPL 
 * 
 * The K2DynaMap Module is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * K2DynaMap is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with K2DynaMap.  If not, see <http://www.gnu.org/licenses/>.
 *
 *
 * See VERSIONS.TXT for full version history
 *
 **********************************************************************************/

// no direct access
defined('_JEXEC') or die('Restricted access');

// Include the K2 Maps Helper file
require_once (dirname(__FILE__).DS.'helper.php');

// Build a list of points to plot on map
$list = modK2DynaMapHelper::getList($params);

// Output the dynamic map
require(JModuleHelper::getLayoutPath('mod_k2dynamap'));